summaryrefslogtreecommitdiffhomepage
path: root/subr.pkg/pkg_configure_clean.subr
diff options
context:
space:
mode:
authorLucía Andrea Illanes Albornoz <lucia@luciaillanes.de>2023-02-17 19:29:28 +0100
committerLucía Andrea Illanes Albornoz <lucia@luciaillanes.de>2023-02-17 19:29:28 +0100
commite9fa0774ed2e7e030a68f5b0ae51fe6dd69fe492 (patch)
tree37e46c2578bd8f4f435073db01abc514976da8a8 /subr.pkg/pkg_configure_clean.subr
parent56495632fc8bf612766a9c431e37ff27a903e8c6 (diff)
downloadmidipix_build-e9fa0774ed2e7e030a68f5b0ae51fe6dd69fe492.tar.bz2
midipix_build-e9fa0774ed2e7e030a68f5b0ae51fe6dd69fe492.tar.xz
Make everything a bit faster.
0) Issues several prayers and sacrifices to Enki under threat of a terrible deluge sent down by Ellil 1) Convert fork-write/read exprs to be non-forking 2) Pass mostly everything by reference 3) Don't bother cleaning the variable namespace because Bourne shell is an abomination 4) Removes broken ./pkgtool.sh -s, --restart-at, --update-diff & ./build.sh --dump-{in,on-abort} 5) Cleanup
Diffstat (limited to 'subr.pkg/pkg_configure_clean.subr')
-rw-r--r--subr.pkg/pkg_configure_clean.subr21
1 files changed, 21 insertions, 0 deletions
diff --git a/subr.pkg/pkg_configure_clean.subr b/subr.pkg/pkg_configure_clean.subr
new file mode 100644
index 00000000..dd24efd6
--- /dev/null
+++ b/subr.pkg/pkg_configure_clean.subr
@@ -0,0 +1,21 @@
+#
+# set +o errexit -o noglob -o nounset is assumed.
+#
+
+pkg_configure_clean() {
+ local _pcc_group_name="${1}" _pcc_pkg_name="${2}" _pcc_restart_at="${3}";
+
+ if ex_pkg_state_test \
+ "${_pcc_pkg_name}" \
+ "configure_patch_pre,configure_autotools,configure_patch,configure" \
+ "${_pcc_restart_at}"\
+ && [ "${PKG_BUILD_DIR:-}" != "${PKG_SUBDIR:-}" ];
+ then
+ rtl_fileop rm "${PKG_BUILD_DIR}" || return 1;
+ rtl_fileop mkdir "${PKG_BUILD_DIR}" || return 1;
+ rtl_fileop cd "${PKG_BUILD_DIR}" || return 1;
+ fi;
+ return 0;
+};
+
+# vim:filetype=sh